summaryrefslogtreecommitdiff
path: root/totsc/install-patch-baldurdash-fix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'totsc/install-patch-baldurdash-fix.sh')
-rwxr-xr-xtotsc/install-patch-baldurdash-fix.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/totsc/install-patch-baldurdash-fix.sh b/totsc/install-patch-baldurdash-fix.sh
new file mode 100755
index 0000000..939d4f6
--- /dev/null
+++ b/totsc/install-patch-baldurdash-fix.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# BG1/TOTSC Baldurdash fix pack
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin unzip wget
+
+setuptmp
+
+getpatch http://www.baldurdash.org/LargeDownloads/BG1FixPack11.exe
+
+# unzip complains unnecessarily about skipping non-zip
+# part so don't print errors or die on failure
+unzip -L $TMPDIR/BG1FixPack11.exe -d $TMPDIR 2>/dev/null
+rm $TMPDIR/BG1FixPack11.exe $TMPDIR/bg1fixpack11readme.txt
+cp $TMPDIR/* "$TARGETDIR/override/" || die
+
+cleanuptmp
+setperms "$TARGETDIR"